Release 2025.18
3 min read
Release Date:
New Features
Display of date on the top: In the updated chat view, enhancing user-friendliness involves optimizing the display of the date at the top to achieve a cleaner appearance that enhances readability.
Enable Customer Admins to Self-Delete User Chats and Files: Customer admins can now permanently delete user chats and related uploaded files via a GraphQL endpoint—no more emailing support or waiting for manual cleanup.
To do this you use thechatForceDeleteByChatIdsmutation. Requires theCHAT_DATA_ADMINpermission.curl --location 'https://gateway.oleole.unique.app/chat/graphql' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer ***' \ --data '{"query":"mutation ChatForceDeleteByChatIds($chatIds: [String!]!) {\n chatForceDeleteByChatIds(chatIds: $chatIds) {\n success\n deletedChatsCount\n }\n}","variables":{"chatIds":["chat_dzuefgl4aiyn90m43ff0s9lv","chat_l4xwgbemob1x5ta2bobx1qi9"]}}'Magic Table Row Status and Locking: New column type
Statusallows for users to mark rows as Needs Review, Ready for Verification or Verified. This column and set of statuses also allow users to control or lock the ability to edit the magic table. The expected behavior is as follows:Needs Review - Rows marked
Needs Revieware fully unlocked and can be edited by the AI agent and manually by usersReady for Verification - Rows marked
Ready for Verificationcan be edited manually by users but are locked from editing from the AI AgentVerified - Rows marked
Verifiedare locked from any editing
Select Row Status from a drop-down
Magic Table Assignee Column: New column type
Assigneeallows for users to select and assign a user or set of users to a row

Assign Users to rows from a drop down

View assigned user as Assignee
Improvements
Disabled statuses: When sending a chat message, text box, upload button, voice input, prompts, and tools picker are disabled while the message is being sent. This ensures that users cannot continue typing, attaching files, using voice input, or selecting prompts and tools during the sending process, providing a more seamless experience.
Upload of documents: uploaded documents are displayed with the same name as the corresponding files on the user's computer to ensure accurate document uploads.
Language Configuration: Users can now select between Simplified Chinese and Traditional Chinese in the UI. If a user inputs an invalid translation language, the error message should explicitly indicate the supported writing systems, such as "Simplified Chinese," "Traditional Chinese," and so on.

Configurable Magic Table Filter: Magic Table filters can now be customized in the Space configuration. Users can select from
ValueMatchFilterandPartialMatchFilteras filter drop downs. Hallucination Check and Reference columns maintain their custom filters.Microsoft Document Intelligence (MDI) as default PDF ingestion method for Knowledge Base upload (upload to Chat will follow in the next release): Because our internal PDF ingestion method has difficulty processing image-based PDFs and those with complex layouts, we’ve made MDI the default ingestion method for PDFs uploaded to the Knowledge Base (upload to Chat will follow in the next release). This approach incurs an additional cost of approximately 1.6 cents per page. However, you can easily switch back to the standard ingestion method if preferred:
In the Knowledge Base, select “PDF to DOCX only” as PDF Ingestion Service

Fixes
Encoding error when contacting LLMs behind WebApplicationFirewall with strict rules
This change allows to enable the UTF8 encoding when sending requests to LLMs
Chat input: The TextField now automatically focuses once a question is completed, ready for the next question to be asked.
Fixed Hallucination Filter: Hallucination filter now correctly filters on only high, medium, and low. Only the status string will be detected by the regex.
Landscaped PDF ingestion: A defect was identified where the document name and info tags were missing from chunk metadata when using page-based chunking for landscaped PDFs. This issue has now been resolved.
Author |
|
|---|